package com.ss.android.ttve.common;

import X.8XX;
import X.C0238I9d;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ttve.model.VEFrame;

public class TEImageUtils {
    public static final String LIZ = TEImageUtils.class.getSimpleName();

    public static native int nativeConvertFrame(VEFrame vEFrame, VEFrame vEFrame2, int i);

    static {
        Covode.recordClassIndex(49297);
        8XX.LIZ();
    }

    public static int LIZ(VEFrame vEFrame, VEFrame vEFrame2, C0238I9d i9d) {
        MethodCollector.i(12879);
        int nativeConvertFrame = nativeConvertFrame(vEFrame, vEFrame2, i9d.ordinal());
        MethodCollector.o(12879);
        return nativeConvertFrame;
    }
}
